## org.ascape.view.nonvis
Class NonGraphicView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.view.nonvis.NonGraphicView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

Direct Known Subclasses:
  DataView, ParameterControlView, ScapeFromFileView, ScapeFromXMLView, ScapeStateView, SweepControlView

    public class NonGraphicView

extends DefaultScapeListener

A base class for most non-gui observer of scapes. Provides notification of scape updates.

Since:
  1.1
Version:
  2.9
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`NonGraphicView()` Constructs a non-graphic view.
`NonGraphicView(java.lang.String name)` Constructs a non-grahpic view.

Method Summary
`boolean` `isGraphic()` Returns false, by definition non graphic views have no gui.

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getName, getScape, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonGraphicView

    public NonGraphicView()

  Constructs a non-graphic view.

### NonGraphicView

    public NonGraphicView(java.lang.String name)

  Constructs a non-grahpic view.

  Parameters:
    `name` - a user relevant name for this view

Method Detail

### isGraphic

    public final boolean isGraphic()

  Returns false, by definition non graphic views have no gui.

  Specified by:
    `isGraphic` in interface `ScapeListener`
  Overrides:
    `isGraphic` in class `DefaultScapeListener`
  Returns:
    true, if is graphic